# exclude plugins .so from provides
%define __provides_exclude_from %{_libdir}/tumbler-1/plugins/.*\\.so

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Name: 		tumbler
Version: 	4.21.0
Release: 	%mkrel 2
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		https://gitlab.xfce.org/xfce/tumbler/
Source0: 	https://archive.xfce.org/src/xfce/tumbler/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		tumbler-arm-linking.patch
BuildRequires:	meson
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libffmpegthumbnailer)
%if %{mgaversion} >= 9
BuildRequires:	pkgconfig(libgepub-0.7)
%else
BuildRequires:  pkgconfig(libgepub-0.6)
%endif
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libopenraw-gnome-0.1)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
BuildRequires:	pkgconfig(poppler-glib)

%description
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types. It is an implementation of the
thumbnail management D-Bus specification.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request thumbnails for
various URI schemes and MIME types.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%autosetup -p1

%if %{mgaversion} >= 9
# build against libgepub-0.7
sed -i -e 's/libgepub-0.6/libgepub-0.7/g' meson.build
%endif

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README*
%dir %{_sysconfdir}/xdg/tumbler/
%{_sysconfdir}/xdg/tumbler/tumbler.rc
%{_userunitdir}/tumblerd.service
%dir %{_libdir}/tumbler-1/
%{_libdir}/tumbler-1/tumblerd
%dir %{_libdir}/tumbler-1/plugins/
%dir %{_libdir}/tumbler-1/plugins/cache/
%{_libdir}/tumbler-1/plugins/cache/tumbler-cache-plugin.so
%{_libdir}/tumbler-1/plugins/cache/tumbler-xdg-cache.so
%{_libdir}/tumbler-1/plugins/tumbler-cover-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-desktop-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gepub-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-gst-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-ffmpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-font-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-jpeg-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-odf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-poppler-thumbnailer.so
%{_libdir}/tumbler-1/plugins/tumbler-raw-thumbnailer.so
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/apps/org.xfce.tumbler.*

%files -n %{libname}
%{_libdir}/*tumbler-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*tumbler-%{api}.so
%{_includedir}/tumbler-%{api}/
%{_libdir}/pkgconfig/tumbler-%{api}.pc


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 4.21.0-2.mga10
+ Revision: 2251385
- Mageia 10 Mass Rebuild

* Sat Apr 12 2025 wally <wally> 4.21.0-1.mga10
+ Revision: 2175003
- new version 4.21.0
- switch to meson build

* Sun Dec 15 2024 wally <wally> 4.20.0-1.mga10
+ Revision: 2125165
- new version 4.20.0

* Sun Nov 10 2024 wally <wally> 4.19.2-2.mga10
+ Revision: 2113533
- own /usr/lib(64)/tumbler-1 dir

* Fri Nov 01 2024 wally <wally> 4.19.2-1.mga10
+ Revision: 2112069
- new version 4.19.2

* Sun Apr 21 2024 wally <wally> 4.19.1-1.mga10
+ Revision: 2060317
- new version 4.19.1

* Sun Dec 03 2023 wally <wally> 4.18.2-1.mga10
+ Revision: 2012822
- new version 4.18.2

* Sat Apr 22 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1954053
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923763
- new version 4.18.0
- new version 4.17.3

* Mon Sep 19 2022 wally <wally> 4.17.1-3.mga9
+ Revision: 1890603
- build agains libgepub-0.7

* Sat Jun 18 2022 wally <wally> 4.17.1-2.mga9
+ Revision: 1864765
- fix build on armv7

* Sat Jun 18 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1864741
- new version 4.17.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663197
- new version 4.16.0

* Mon Nov 16 2020 wally <wally> 0.3.1-1.mga8
+ Revision: 1646716
- new version 0.3.1
- new libgepub thumbnailer plugin

* Thu Aug 13 2020 wally <wally> 0.3.0-1.mga8
+ Revision: 1613931
- new version 0.3.0

* Thu Aug 06 2020 wally <wally> 0.2.9-1.mga8
+ Revision: 1611491
- new version 0.2.9

* Tue Feb 18 2020 umeabot <umeabot> 0.2.8-2.mga8
+ Revision: 1541259
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 wally <wally> 0.2.8-1.mga8
+ Revision: 1469496
- new version 0.2.8

* Thu Nov 28 2019 wally <wally> 0.2.7-3.mga8
+ Revision: 1463360
- add upstream bug fixes
  - prepend XDG_DATA_HOME to desktop thumbnailers directory list (xfce#15858)
  - fix thumbnail orientation (xfce#15011)

* Wed Oct 30 2019 wally <wally> 0.2.7-2.mga8
+ Revision: 1456832
- rebuild with latest poppler-glib

* Mon Aug 12 2019 wally <wally> 0.2.7-1.mga8
+ Revision: 1428939
- new version 0.2.7

* Wed Jul 31 2019 wally <wally> 0.2.6-1.mga8
+ Revision: 1426408
- new version 0.2.6

* Mon Jul 01 2019 wally <wally> 0.2.5-1.mga8
+ Revision: 1417255
- new version 0.2.5

* Sat May 18 2019 wally <wally> 0.2.4-1.mga7
+ Revision: 1398249
- new version 0.2.4

* Sat Dec 15 2018 wally <wally> 0.2.3-2.mga7
+ Revision: 1341450
- own /etc/xdg/tumbler/ dir

* Thu Sep 13 2018 wally <wally> 0.2.3-1.mga7
+ Revision: 1258862
- new version 0.2.3

* Sun Apr 01 2018 wally <wally> 0.2.1-1.mga7
+ Revision: 1214029
- new version 0.2.1

* Fri Sep 29 2017 wally <wally> 0.2.0-1.mga7
+ Revision: 1161684
- new version 0.2.0

* Wed Jun 07 2017 wally <wally> 0.1.32-1.mga6
+ Revision: 1107173
- new version 0.1.32
- drop upstreamed patches

* Tue May 02 2017 akien <akien> 0.1.31-6.mga6
+ Revision: 1098325
- Rebuild for ffmpeg 3.3

* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.1.31-5.mga6
+ Revision: 1070651
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 0.1.31-4.mga6
+ Revision: 1046206
- test rebuild for poppler

* Wed Feb 17 2016 umeabot <umeabot> 0.1.31-3.mga6
+ Revision: 963116
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 wally <wally> 0.1.31-2.mga6
+ Revision: 892431
- rebuild for new libopenraw (with a patch)

* Tue Mar 03 2015 wally <wally> 0.1.31-1.mga5
+ Revision: 817403
- new version 0.1.31

* Wed Oct 15 2014 umeabot <umeabot> 0.1.30-3.mga5
+ Revision: 742835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.30-2.mga5
+ Revision: 689972
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 0.1.30-1.mga5
+ Revision: 595893
- new version 0.1.30

* Sat Oct 19 2013 umeabot <umeabot> 0.1.29-4.mga4
+ Revision: 526468
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 0.1.29-3.mga4
+ Revision: 436953
- rebuild for new libpng
+ tv <tv>
- rebuild for new libpng

* Thu May 23 2013 wally <wally> 0.1.29-1.mga4
+ Revision: 425060
- new version 0.1.29

* Mon Jan 14 2013 umeabot <umeabot> 0.1.26-2.mga3
+ Revision: 384840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 wally <wally> 0.1.26-1.mga3
+ Revision: 329106
- new version 0.1.26
- switch to gstreamer-1.0
- exclude plugins .so from provides

* Mon May 28 2012 wally <wally> 0.1.25-1.mga3
+ Revision: 248523
- new version 0.1.25
- clean .spec

* Sun Dec 04 2011 wally <wally> 0.1.23-1.mga2
+ Revision: 176044
- new version 0.1.23

* Sat Feb 19 2011 ahmad <ahmad> 0.1.21-1.mga2
+ Revision: 53978
- imported package tumbler


* Tue Feb 15 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.21-1mdv2011.0
+ Revision: 637858
- update to new version 0.1.21

* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.6-1
+ Revision: 632318
- update to new version 0.1.6

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 616397
- update to new version 0.1.5

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 594761
- update to new version 0.1.4

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-1mdv2011.0
+ Revision: 593795
- update to new version 0.1.3
- fix file list

* Fri Jul 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-1mdv2011.0
+ Revision: 554447
- update to new version 0.1.2

* Sat Feb 13 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-1mdv2010.1
+ Revision: 505543
- update to new version 0.1.1

* Tue Dec 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2010.1
+ Revision: 474944
- add spec and source files
- Created package structure for tumbler.

